<!--
layout: home
title: Ethermint Documentation
description: Ethermint is a scalable and interoperable Ethereum, built on Proof-of-Stake with fast-finality.
sections:
  - title: Introduction
    desc: Read a high-level overview of Ethermint and its architecture.
    url: /intro
    icon: ethereum-intro
  - title: Basics
    desc: Start with the basic concepts of Ethermint, like accounts and transactions.
    url: /basics
    icon: basics
  - title: Core Concepts
    desc: Read about the core concepts like encoding and events.
    url: /core
    icon: core
stack:
  - title: Cosmos SDK
    desc: The SDK is the world’s most popular framework for building application-specific blockchains.
    color: "#5064FB"
    label: sdk
    url: http://docs.cosmos.network
  - title: Ethereum
    desc: Ethereum is a global, open-source platform for decentralized applications.
    color: "#1A1F36"
    label: ethereum-black
    url: https://eth.wiki
  - title: Tendermint Core
    desc: The leading BFT engine for building blockchains, powering Ethermint.
    color: "#00BB00"
    label: core
    url: http://docs.tendermint.com
footer:
  newsletter: false
aside: false
-->

# Ethermint Documentation

## Get Started

- **[Introduction](./intro/overview.md)**: High-level overview of Ethermint.

## Reference

- **[Basics](./basics/)**: Documentation on the basic concepts of Ethermint, like the standard anatomy of an application, the transaction lifecycle and accounts management.
- **[Core](./core/)**: Documentation on the core concepts of Ethermint, like `encoding`, and `events`.
- **[Building Modules](./building-modules/)**: Important concepts for module developers like `message`s, `keeper`s, `handler`s and `querier`s.
- **[Interfaces](./interfaces/)**: Documentation on building interfaces for Ethermint applications.

## Other Resources

- **[Module Directory](../x/)**: Module implementations and their respective documentation.
- **[Ethermint API Reference](https://godoc.org/github.com/tharsis/ethermint)**: Godocs of Ethermint.
- **[REST API spec](https://cosmos.network/rpc/)**: List of REST endpoints to interact with an full-node through REST.

## Contribute

See [this file](https://github.com/tharsis/ethermint/blob/main/docs/DOCS_README.md) for details of the build process and considerations when making changes.
